DESCRIPTION="BrightSign Linux kernel"
SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "6.2.40-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.8-6.2.40-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "5d63b7fbe08516c9c40f99dc542ed35e"
SRC_URI[sha256sum] = "45866b9897ca60a3cd8796e22069aeb5946101e2025097f2dd394fdf5f07ccf8"
COMPATIBLE_MACHINE = "pantera(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"
S = "${WORKDIR}/${PN}-${PV}"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${B}/.config"
}
