inherit nfsquick

PR .= ".bs1"

BRIGHTSIGN_APPEND_DIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${BRIGHTSIGN_APPEND_DIR}/${PN}-${PV}", "${BRIGHTSIGN_APPEND_DIR}/files"], d)}:"

EXTRA_OECONF_append="\
    --disable-lastlog \
    --disable-utmp --disable-utmpx \
    --disable-wtmp --disable-wtmpx \
    --disable-syslog \
    "

SRC_URI += "file://default-dropbear"

# We need dropbear to start after the registry. We might as well start
# it at about the same time as telnet.
INITSCRIPT_PARAMS = "defaults 72"

do_install_append() {
    install -D -m 0644 ${WORKDIR}/default-dropbear  ${D}${sysconfdir}/default/dropbear
}

