#
# QMake variables for Qt
#
inherit qmake5_base

QT5TOOLSDEPENDS ?= "qtbase-native"
DEPENDS_prepend = "${QT5TOOLSDEPENDS} "

do_configure() {
    qmake5_base_do_configure
}

do_install() {
    qmake5_base_do_install
    (
		if [ -d ${D}/lib ]; then
		    cd ${D}/lib
		    for i in lib*.so.?.?; do
	       	    if [ -L $i ]; then
	       	   	    rm $i
    	   	    fi
		    done
		fi
    )
}

do_install_class-native() {
    qmake5_base_native_do_install
}

do_install_class-nativesdk() {
    qmake5_base_nativesdk_do_install
}
